const util = require("../../../utils/util")
const app = getApp()

Page({
  data: {
    articalId:0,
    isLike:0,
    info:{},
    logs:[]
  },

  onLoad: function (options) {
    let articalId = options.articalId||271;
    this.setData({articalId})
    this.loadData()
  },

  loadData(){
    let articalId = this.data.articalId
    app.formPost( "artical/getArticalInfo", {articalId}).then( res=>{
      if( res.code == 200 ){
        let {isLike,info,logs} = res.data
        this.setData({isLike,info,logs})
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})